<?php
require_once ('../librerias/dompdf/autoload.inc.php');
use Dompdf\Dompdf;

$html = '';
$html .='
<style>
	table {
		width:100%;
	font-size:13px;
	}
    .tbl-marcaje th {
      color: #fff;
      background-color: #000000;
    }
    .tbl-marcaje tr {
        background-color: #eee;
    }
    .tbl-marcaje tr:nth-child(2) {
        background-color: #eee;
    }
    .tbl-marcaje tr:nth-child(even) {
        background-color: #eee;
    }
     
    .tbl-marcaje tr:nth-child(odd) {
        background-color: #fff;
    }
    .tbl-cabecera{
		width:100%;
	}
</style>';


    setlocale(LC_TIME, "spanish");

	$url = 'http://200.24.13.60/~program1/power-time-api/public/informepermiso';
	$ch = curl_init($url); 
	$payload = json_encode(array('fecha_inicio' => $_POST["txtFecha_inicio"], 'fecha_termino' => $_POST["txtFecha_termino"]));
	curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 
	$result = curl_exec($ch); 
	$array = json_decode($result);

	$html .="<img src='../img/002.png' />";
	$html .="<center><h3>Reporte Permisos Ingresados</h3></center>";  

	$html .= "<table class='tbl-cabecera'>";
	$html .= "<tr>";
	$html .= "<td><b>FECHA EMISION :</b> ".date("d-m-Y")."</td>";
	$html .= "<td><b>PERIODO DESDE :</b> ".$_POST["txtFecha_inicio"]."</td>";
	$html .= "<td><b>PERIODO HASTA :</b> ".$_POST["txtFecha_inicio"]."</td>";
	$html .= "</tr>";
	$html .= "<tr>";
	$html .= "<td colspan ='2'><b>COMPA&Ntilde;IA :</b> CORP MUNICIPAL PARA EL DESARROLLO SOCIAL</td>";
	$html .= "<td><b>RUT :</b> 70.983.600-5</td>";
	$html .= "<td></td>";			
	$html .= "</tr>";			
	$html .= "</table><br />";
        
		
	$html .= "<table class='tbl-marcaje'>";
	$html .= "<thead>";
	$html .= "<tr>";	
	$html .= "<th>FECHA INICIO</th>	";
	$html .= "<th>FECHA TERMINO</th>";					  
	$html .= "<th>HORA INICIO</th>";	
	$html .= "<th>HORA TERMINO</th>";					  
	$html .= "<th>TIPO PERMISO</th>";			  
	$html .= "<th>TRABAJADOR</th>";			
	$html .= "</tr>";
	$html .= "</thead>";
	$html .= "<tbody>";

		
	foreach ($array[0] as $row) {
			$hora_inicio = "";	
			$hora_termino = "";	
            if($row->hora == 1){
				$hora_inicio = cortarCadena($row->hora_inicio);	
				$hora_termino = cortarCadena($row->hora_termino);					
			}

			$html .= "<tr>";
			$html .= "<td>". substr(strftime("%A", strtotime($row->fecha_inicio)), 0, 3) ." ". formatearFecha($row->fecha_inicio) ."</td>";						
			$html .= "<td>". substr(strftime("%A", strtotime($row->fecha_termino)), 0, 3) ." ". formatearFecha($row->fecha_termino) ."</td>";						
			$html .= "<td>".$hora_inicio ."</td>";	
			$html .= "<td>".$hora_termino ."</td>";						
			$html .= "<td>".utf8_decode($row->tipo) ."</td>";				
			$html .= "<td>".utf8_decode($row->nombre) ." ". utf8_decode($row->apellido) ."</td>";			
			$html .= "</tr>";
             			 

	}
	

	
	curl_close($ch); 

function formatearFecha($fecha){
	 $fecha = date("d-m-Y", strtotime($fecha));
	 $fecha = substr($fecha, 0, 5);
	 return $fecha;
}		
		
function cortarCadena($hora){	
	if($hora != null) { $hora = str_replace("-","", $hora); $hora = substr($hora, 0, 5); return $hora; } else return $hora;
}

function suma_horas($hora1,$hora2){
		
    $hora1=explode(":",$hora1);
    $hora2=explode(":",$hora2);
    $temp=0;
    $segundos=(int)$hora1[2]+(int)$hora2[2];
    while($segundos>=60){
        $segundos=$segundos-60;
        $temp++;
    }
    $minutos=(int)$hora1[1]+(int)$hora2[1]+$temp;
    $temp=0;
    while($minutos>=60){
        $minutos=$minutos-60;
        $temp++;
    }

    $horas=(int)$hora1[0]+(int)$hora2[0]+$temp;
    if($horas<10){ $horas= '0'.$horas; }
    if($minutos<10){ $minutos= '0'.$minutos; }
    if($segundos<10){ $segundos= '0'.$segundos; }

    $sum_hrs = $horas.':'.$minutos.':'.$segundos;
    return ($sum_hrs);

}


$pdf = new DOMPDF();
$pdf->set_paper("A4", "landscape");
$pdf->load_html(utf8_encode($html));
$pdf->render();
$pdf->stream("marcajes.pdf", array("Attachment" => false));
exit(0);

?>
